Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[emerge] Erreur : SyntaxError: invalid syntax (résolu)
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index French
View previous topic :: View next topic  
Author Message
Neuromancien
l33t
l33t


Joined: 03 Dec 2003
Posts: 867

PostPosted: Wed Apr 13, 2011 9:10 pm    Post subject: [emerge] Erreur : SyntaxError: invalid syntax (résolu) Reply with quote

Bonjour,

En installant des thèmes d'icônes, j'obtiens l'erreur suivante :
Code:
>>> Source unpacked in /var/tmp/portage/x11-themes/tangerine-icon-theme-0.26/work
>>> Preparing source in /var/tmp/portage/x11-themes/tangerine-icon-theme-0.26/work/tangerine-icon-theme-0.26 ...
  File "/usr/bin/rsvg", line 48
    print "rsvg version %s" % ("2.32.1")
                          ^
SyntaxError: invalid syntax
 * ERROR: x11-themes/tangerine-icon-theme-0.26 failed (prepare phase):
 *   (no error message)
 *
 * Call stack:
 *     ebuild.sh, line  56:  Called src_prepare
 *   environment, line 2912:  Called die
 * The specific snippet of code:
 *           rsvg -w ${res} -h ${res} scalable/places/start-here.svg ${res}x${res}/places/start-here.png || die;
 *
 * If you need support, post the output of 'emerge --info =x11-themes/tangerine-icon-theme-0.26',
 * the complete build log and the output of 'emerge -pqv =x11-themes/tangerine-icon-theme-0.26'.
 * The complete build log is located at '/var/tmp/portage/x11-themes/tangerine-icon-theme-0.26/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/x11-themes/tangerine-icon-theme-0.26/temp/environment'.
 * S: '/var/tmp/portage/x11-themes/tangerine-icon-theme-0.26/work/tangerine-icon-theme-0.26'

>>> Failed to emerge x11-themes/tangerine-icon-theme-0.26, Log file:

>>>  '/var/tmp/portage/x11-themes/tangerine-icon-theme-0.26/temp/build.log'

 * Messages for package x11-themes/tangerine-icon-theme-0.26:

 * ERROR: x11-themes/tangerine-icon-theme-0.26 failed (prepare phase):
 *   (no error message)

_________________
emerge --info
dmesg
lspci
.config


Last edited by Neuromancien on Thu Apr 14, 2011 10:11 pm; edited 1 time in total
Back to top
View user's profile Send private message
xaviermiller
Administrator
Administrator


Joined: 23 Jul 2004
Posts: 7896
Location: ~Brussels - Belgique

PostPosted: Wed Apr 13, 2011 9:48 pm    Post subject: Reply with quote

Mauvaise version de python sélectionnée ?
_________________
Kind regards,
Xavier Miller
Back to top
View user's profile Send private message
Neuromancien
l33t
l33t


Joined: 03 Dec 2003
Posts: 867

PostPosted: Wed Apr 13, 2011 10:20 pm    Post subject: Reply with quote

XavierMiller wrote:
Mauvaise version de python sélectionnée ?

Je vois que je n'ai que Python 3.1 d'installé :
Code:
tux jerome # eselect python show
python3.1

_________________
emerge --info
dmesg
lspci
.config
Back to top
View user's profile Send private message
bdouxx
Tux's lil' helper
Tux's lil' helper


Joined: 28 Dec 2009
Posts: 116

PostPosted: Thu Apr 14, 2011 6:15 am    Post subject: Reply with quote

tu n'as pas lancé la bonne ligne de commande pour voir les versions installés :
Quote:

ordi_perso ~ # eselect python show
python2.7
ordi_perso ~ # eselect python list
Available Python interpreters:
[1] python2.7 *
[2] python3.1


et pour prendre le bon
Quote:
ordi_perso ~ # eselect python set python2.7
Back to top
View user's profile Send private message
xaviermiller
Administrator
Administrator


Joined: 23 Jul 2004
Posts: 7896
Location: ~Brussels - Belgique

PostPosted: Thu Apr 14, 2011 7:30 am    Post subject: Reply with quote

il faut absolument rester en python 2.X !!!
_________________
Kind regards,
Xavier Miller
Back to top
View user's profile Send private message
xaviermiller
Administrator
Administrator


Joined: 23 Jul 2004
Posts: 7896
Location: ~Brussels - Belgique

PostPosted: Fri Apr 15, 2011 9:10 pm    Post subject: Reply with quote

Pas de merci :?
_________________
Kind regards,
Xavier Miller
Back to top
View user's profile Send private message
Neuromancien
l33t
l33t


Joined: 03 Dec 2003
Posts: 867

PostPosted: Fri Apr 15, 2011 9:32 pm    Post subject: Reply with quote

XavierMiller wrote:
Pas de merci :?

Merci. :)
_________________
emerge --info
dmesg
lspci
.config
Back to top
View user's profile Send private message
barul
Guru
Guru


Joined: 28 May 2010
Posts: 430

PostPosted: Sat Apr 16, 2011 6:41 am    Post subject: Reply with quote

Pourquoi mettre à disposition python 3.X si il faut rester en 2.X ? Pour les devs python?
Back to top
View user's profile Send private message
Neuromancien
l33t
l33t


Joined: 03 Dec 2003
Posts: 867

PostPosted: Sat Apr 16, 2011 9:28 am    Post subject: Reply with quote

Cr0k wrote:
Pourquoi mettre à disposition python 3.X si il faut rester en 2.X ? Pour les devs python?

Il faut garder Python 2.X pour utiliser emerge, encore que c'est le seul paquet qui ait posé problème chez moi. Je viens d'installer un système complet et je n'ai obtenu aucune autre erreur. Mais Python 3.X est disponible et stable donc rien n'empêche de l'utiliser pour écrire des scripts. C'est pour cela qu'existe le système des slots. Maintenant je ne sais pas si les bibliothèques pour Python (wxPython, Pygame, NumPy...) fonctionnent aujourd'hui avec Python 3.
_________________
emerge --info
dmesg
lspci
.config
Back to top
View user's profile Send private message
xaviermiller
Administrator
Administrator


Joined: 23 Jul 2004
Posts: 7896
Location: ~Brussels - Belgique

PostPosted: Sat Apr 16, 2011 9:13 pm    Post subject: Reply with quote

Bien répondu ;)
_________________
Kind regards,
Xavier Miller
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index French All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum